geos::noding::SegmentExtractingNoder Class Reference

`#include <SegmentExtractingNoder.h>`

Inheritance diagram for geos::noding::SegmentExtractingNoder:

## Public Member Functions

| SegmentExtractingNoder ()
void | computeNodes (std::vector< SegmentString * > *segStrings) override
| Computes the noding for a collection of SegmentStrings.
std::vector< SegmentString * > * | getNodedSubstrings () const override

## Detailed Description

A noder which extracts all line segments as SegmentString. This enables fast overlay of geometries which are known to be already fully noded. In particular, it provides fast union of polygonal and linear coverages. Unioning a noded set of lines is an effective way to perform line merging and line dissolving.

No precision reduction is carried out. If that is required, another noder must be used (such as a snap-rounding noder), or the input must be precision-reduced beforehand.

## Constructor & Destructor Documentation

## SegmentExtractingNoder()

geos::noding::SegmentExtractingNoder::SegmentExtractingNoder | ( |  | ) |

inline

Creates a new segment-extracting noder.

## Member Function Documentation

## computeNodes()

void geos::noding::SegmentExtractingNoder::computeNodes | ( | std::vector< SegmentString * > * | segStrings | ) |

override virtual

Computes the noding for a collection of SegmentStrings.

Some Noders may add all these nodes to the input SegmentStrings; others may only add some or none at all.

Parameters

  segStrings | a collection of `SegmentString`s to node The caller remains responsible for releasing the memory associated with the container and its elements.

Implements geos::noding::Noder.

## getNodedSubstrings()

std::vector< SegmentString * > * geos::noding::SegmentExtractingNoder::getNodedSubstrings | ( |  | ) | const

override virtual

Returns
  a Collection of SegmentString representing the substrings. Caller takes ownership over vector and contents.

Implements geos::noding::Noder.

The documentation for this class was generated from the following file:

- SegmentExtractingNoder.h